import { useTranslation } from "react-i18next";
import './App.css'
function App() {
    const {t, i18n} = useTranslation();

    const changeLang = (lang: string) => {
        i18n.changeLanguage(lang);
        localStorage.setItem('lang', lang);
    }
  return (
      <>
          <div>
              <button onClick={() => changeLang('en')}>En</button>
              <button onClick={() => changeLang('ru')}>Ru</button>
              <button onClick={() => changeLang('kz')}>Kz</button>
          </div>
          <h2>{t('hi', 'test')}</h2>
      </>
  )
}

export default App
